import request from '@/utils/request'

// 查询行政确认列表
export function listConfirmation(query) {
  return request({
    url: '/crmAdministrativeConfirmation/findByPage',
    method: 'get',
    params: query
  })
}

// 查询行政确认详细
export function getConfirmation(id) {
  return request({
    url: '/basicData/confirmation/' + id,
    method: 'get'
  })
}

// 新增行政确认
export function addConfirmation(data) {
  return request({
    url: '/basicData/confirmation',
    method: 'post',
    data: data
  })
}

// 修改行政确认
export function updateConfirmation(data) {
  return request({
    url: '/basicData/confirmation',
    method: 'put',
    data: data
  })
}

// 删除行政确认
export function delConfirmation() {
  return request({
    url: '/crmAdministrativeConfirmation/deleteAll',
    method: 'delete'
  })
}


// 批量删除行政许可
export function delConfirmationBatch(ids) {
  console.log(ids);
  return request.post('/crmAdministrativeConfirmation/delete',ids)
}

